Subject: [PATCH] ARM: ptrace: fix ptrace_read_user for !CONFIG_MMU platforms

From: [email-masked] (Greg Ungerer)
Date: Wed, 22 Feb 2012 11:33:09 +1000

On 21/02/12 20:10, Russell King - ARM Linux wrote:
> On Tue, Feb 21, 2012 at 10:00:41AM +0000, Will Deacon wrote:
>> On Tue, Feb 21, 2012 at 08:36:12AM +0000, Russell King - ARM Linux wrote:
>>> Maybe no one uses a debugger for uclinux programs?
>>
>> I confess to finding this by inspection rather than a debugging failure.
>
> There is another explanation - that is no one in the uclinux world uses
> mainline kernels, and this bug has been fixed ages ago in some uclinux
> kernel tree.

There is no separate uclinux kernels or separate patch sets, hasn't been
for a long time. No need, it is all in mainline. There are however plenty
of vendors and individuals using non-MMU platforms who do not push back
to mainline.

> That directly raises the question of the value of having the uclinux
> baggage in the mainline kernel if no one is using mainline kernels for
> uclinux work.  If the uclinux folk aren't willing to pass up bug fixes,
> then having it in mainline is, frankly, a waste of space.

What has historically been called uclinux includes quite a number
of architectures. The problem in this thread is quite clearly ARM
specific. I guess noone using non-MMU Linux on ARM uses gdb to debug.

Regards
Greg

------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     gerg at snapgear.com
SnapGear Group, McAfee                      PHONE:       +61 7 3435 2888
8 Gardner Close                             FAX:         +61 7 3217 5323
Milton, QLD, 4064, Australia                WEB: http://www.SnapGear.com